# DomainService

The DomainService acts as a "gateway" to Umbraco data for operations which are related to domains.

[Browse the API documentation for IDomainService](https://apidocs.umbraco.com/v13/csharp/api/Umbraco.Cms.Core.Services.IDomainService.html).

* **Namespace:** `Umbraco.Cms.Core.Services`
* **Assembly:** `Umbraco.Core.dll`

All samples in this document will require references to the following dll:

* Umbraco.Core.dll

All samples in this document will require the following using statements:

```csharp
using Umbraco.Cms.Core.Services;
```

For Razor views:

```csharp
@using Umbraco.Cms.Core.Services
```

## Getting the service

### Dependency Injection

If you wish to use the domain service in a class, you need to specify the `IDomainService` interface in your constructor:

```csharp
public class MyClass
{
    private IDomainService _domainService;

    public MyClass(IDomainService domainService)
    {
        _domainService = domainService;
    }
}
```

In Razor views, you can access the domain service through the `@inject` directive:

```csharp
@inject IDomainService DomainService
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/services/domainservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
